## imagemagick 6.9.10.8+dfsg

=== debian/changelog ===
imagemagick (8:6.9.10.8+dfsg-1ubuntu2) cosmic; urgency=medium

  * Stop installing the Debian-specific .desktop for the display program.
    (LP: #1740741, LP: #1740743, LP: #1717951, LP: #1615435,
    Closes: #675617, #677318)

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Aug 2018 09:45:08 -0400

imagemagick (8:6.9.10.8+dfsg-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
  * Merge from Debian unstable.  Remaining changes:
    - Drop dependency on libopenjp2-7-dev, which is needed for JPEG2000
      but is not in main.
    - demote libmagickcore-6.q16hdri-6-extra and libmagickcore-6.q16-6-extra
      Recommends on libjxr-tools to Suggests, as it is in universe.
    - CVE-2017-15033.patch: cherry-pick CVE patch from upstream

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Aug 2018 11:14:55 +0200

imagemagick (8:6.9.10.8+dfsg-1) unstable; urgency=high

  * New upstream version
  * Fix security bugs:
    + CVE-2018-14551: The ReadMATImageV4 function in coders/mat.c
      uses an uninitialized variable, leading to memory corruption.
      (Closes: #904713)
    + CVE-2018-9135: A heap-based buffer over-read in IsWEBPImageLossless
      in coders/webp.c.
    + CVE-2018-14437: Memory leak in parse8BIM in coders/meta.c.
    + CVE-2018-14436: Memory leak in ReadMIFFImage in coders/miff.c.
    + CVE-2018-14435: Memory leak in DecodeImage in coders/pcd.c.
    + CVE-2018-14434: Memory leak for a colormap in WriteMPCImage
      in coders/mpc.c.
    + CVE-2018-13153: Memory leak in the XMagickCommand function
      in MagickCore/animate.c.

 -- Bastien Roucariès <rouca@debian.org>  Mon, 30 Jul 2018 15:14:16 +0200

imagemagick (8:6.9.10.2+dfsg-3ubuntu2) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop dependency on libopenjp2-7-dev, which is needed for JPEG2000
      but is not in main.
    - demote libmagickcore-6.q16hdri-6-extra and libmagickcore-6.q16-6-extra
      Recommends on libjxr-tools to Suggests, as it is in universe.
    - SECURITY UPDATE: memory leak in XMagickCommand
      - debian/patches/CVE-2018-13153.patch: free memory in magick/animate.c.
      - CVE-2018-13153
    - SECURITY UPDATE: Multiple security issues
      - debian/patches/CVE-201[78]*.patch: backport large number of upstream
        security patches. (Note: All patches except CVE-2017-15033 have landed
        upstream in 6.9.10.2).
      - CVE-2017-15033

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 Jul 2018 12:47:06 -0400

imagemagick (8:6.9.10.2+dfsg-3) unstable; urgency=high

  * Fix perlmagick (Closes: #903404)

 -- Bastien Roucariès <rouca@debian.org>  Tue, 10 Jul 2018 00:32:34 +0200

imagemagick (8:6.9.10.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Bastien Roucariès <rouca@debian.org>  Sun, 08 Jul 2018 18:49:44 +0200

imagemagick (8:6.9.10.2+dfsg-1) experimental; urgency=medium

  * Bug fix: "FTBFS on i386: testsuite failure in Magick++/tests/tests.tap
    2", thanks to Sven Joachim (Closes: #893953).
  * Bug fix: "drop libtool-bin from Build-Depends", thanks to Helmut
    Grohne (Closes: #893925).
  * Move to git dpm
  * Move to salsa
  * SO dump
  * Fix security bugs:
    + CVE-2018-9133: Excessive iteration in the DecodeLabImage
      and EncodeLabImage functions (coders/tiff.c), which results
      in a hang (tens of minutes) with a tiny PoC file.
      Remote attackers could leverage this vulnerability
      to cause a denial of service via a crafted tiff file.
      (Closes: #894848)
    + CVE-2018-9133: SetGrayscaleImage in the quantize.c file
      allows attackers to cause a heap-based buffer over-read
      via a crafted file.
    + CVE-2018-11624: the ReadMATImage function in coders/mat.c
      allows attackers to cause a use after free via a crafted file.
    + CVE-2018-11625: the SetGrayscaleImage in the quantize.c
      file allows attackers to cause a heap-based buffer over-read
      via a crafted file.
    + CVE-2018-10177: An infinite loop is present in the
      ReadOneMNGImage function of the coders/png.c file.
      Remote attackers could leverage this vulnerability
      to cause a denial of service via a crafted mng file.
    + CVE-2017-14528: Tested (with and without valgrind) and found immune.
      The TIFFSetProfiles function in coders/tiff.c has incorrect
      expectations about whether LibTIFF TIFFGetField return values
      imply that data validation has occurred, which allows remote attackers
      to cause a denial of service (use-after-free after an invalid call
      to TIFFSetField, and application crash) via a crafted file.
    + CVE-2018-11624: heap-based buffer over-read in IsWEBPImageLossless
      in coders/webp.c.
    + CVE-2018-10805: a memory leak in ReadYCBCRImage in coders/ycbcr.c.
      (Closes: #898218).
    + CVE-2018-10804: a memory leak in WriteTIFFImage in coders/tiff.c.
      (Closes: #898217)
    + CVE-2018-12599: the ReadBMPImage and WriteBMPImage functions
      in coders/bmp.c allow attackers to cause an out of bounds write
      via a crafted file.
    + CVE-2018-12600: the ReadDIBImage and WriteDIBImage in coders/dib.c
      allow attackers to cause an out of bounds write via a crafted file.

 -- Bastien Roucariès <rouca@debian.org>  Mon, 25 Jun 2018 14:29:02 +0200

imagemagick (8:6.9.9.39+dfsg-1) unstable; urgency=medium

  * Fix security bugs (Closes: #890805):
    + Fix CVE-2018-7443: The ReadTIFFImage function in coders/tiff.c
      does not properly validate the amount of image data in a file,
      which allows remote attackers to cause a denial of service
      (memory allocation failure in the AcquireMagickMemory function
      in MagickCore/memory.c). (Closes: #891291)
    + Fix CVE-2018-7470: The IsWEBPImageLossless function in
      coders/webp.c allows attackers to cause a denial of service
      (segmentation violation) via a crafted file.(Closes: #891420)

