=== debian/control ===
--- 
+++ 
@@ -1,3 +1,4 @@
+# Autogenerated Sun Nov  4 21:14:08 CET 2018 from make -f debian/rules update_pkg
 Source: imagemagick
 Section: graphics
 Priority: optional
@@ -6,7 +7,7 @@
 Uploaders: Luciano Bello <luciano@debian.org>,
  Nelson A. de Oliveira <naoliv@debian.org>,
  Bastien Roucariès <rouca@debian.org>,
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 # for dbg-sym
 Build-Depends: debhelper (>= 11),
 # for improving build
@@ -41,7 +42,8 @@
 # for documentation
 Build-Depends-Indep: doxygen, doxygen-latex, graphviz,
 		     libxml2-utils,
-		     xsltproc
+		     xsltproc,
+		     jdupes
 Vcs-Browser: https://salsa.debian.org/debian/imagemagick
 Vcs-Git: https://salsa.debian.org/debian/imagemagick.git
 Homepage: https://www.imagemagick.org/
@@ -100,9 +102,7 @@
 Multi-Arch: foreign
 Section: libdevel
 Pre-Depends: dpkg (>= 1.15.7.2)
-Depends: ${misc:Depends},
-	 libmagickcore-6-arch-config (>= ${binary:Version}),
-	 libmagickcore-6-arch-config (<< ${binary:Version}.1~)
+Depends: ${misc:Depends}
 Description: low-level image manipulation library - header files
  The MagickCore API is a low-level interface between the C programming language
  and the ImageMagick image processing libraries and is recommended for
@@ -180,6 +180,7 @@
 Section: libdevel
 Pre-Depends: dpkg (>= 1.15.7.2)
 Depends: ${misc:Depends},
+	 libmagickcore-6-headers (= ${source:Version}),
 	 imagemagick-6-common (>= 8:6.9.6.2+dfsg-3)
 Description: low-level image manipulation library - architecture header files
  The MagickCore API is a low-level interface between the C programming language
@@ -272,7 +273,9 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libmagickcore-6-headers (= ${source:Version}),
+Pre-Depends: dpkg (>= 1.17.11)
+Depends:
+ libmagickcore-6-arch-config (= ${binary:Version}),
  libmagickcore-6.q16-6 (= ${binary:Version}),
  libmagickcore-6.q16-6-extra (= ${binary:Version}),
  libbz2-dev, libdjvulibre-dev,
@@ -286,7 +289,7 @@
 # remove breaks/replaces after jessie +2
 Replaces: libmagickcore-dev (<< 8:6.8.3.10-1~)
 Breaks: libmagickcore-dev (<< 8:6.8.3.10-1~)
-Provides: libmagickcore-6.defaultquantum-dev, libmagickcore-dev (=8:6.9.10.2+dfsg-1)
+Provides: libmagickcore-6.defaultquantum-dev, libmagickcore-dev (=${binary:Version}),
 Description: low-level image manipulation library - development files (Q16)
  The MagickCore API is a low-level interface between the C programming language
  and the ImageMagick image processing libraries and is recommended for
@@ -306,5 +309,3 @@
 Multi-Arch: same
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.17.6)
-Depends: ${shlibs:Depends}, ${misc:Depends},
-	 imagemagick-6-common (>= 8:6.9.6.2+dfsg-3)
