## imagemagick 6.9.10.23%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Autogenerated Sun Nov  4 21:14:08 CET 2018 from make -f debian/rules update_pkg
+# Autogenerated Sun Jan  6 21:18:32 CET 2019 from make -f debian/rules update_pkg
 Source: imagemagick
 Section: graphics
 Priority: optional
@@ -7,7 +7,7 @@
 Uploaders: Luciano Bello <luciano@debian.org>,
  Nelson A. de Oliveira <naoliv@debian.org>,
  Bastien Roucariès <rouca@debian.org>,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 # for dbg-sym
 Build-Depends: debhelper (>= 11),
 # for improving build
@@ -31,7 +31,7 @@
  libjpeg-dev,
 # libopenjp2-7-dev, Needed for JPEG2000 but not in main see MIR #711061
  libopenexr-dev, libperl-dev, libpng-dev, libtiff-dev,
- libwmf-dev,
+ libwmf-dev, libwebp-dev,
 # libgraphviz-dev, incompatible license against fftw
 # for converting svg
  libpango1.0-dev, librsvg2-bin, librsvg2-dev, libxml2-dev,
